=== maki/documentation/wscript ===
#!/usr/bin/env python

def configure (conf):
	pass

def build (bld):
	bld.install_files('${DOCDIR}', bld.glob('*.txt'))
	bld.install_files('${DOCDIR}/clients', bld.glob('clients/*.txt'))
	bld.install_files('${DOCDIR}/irc', bld.glob('irc/*.txt'))
	bld.install_files('${DOCDIR}/os', bld.glob('os/*.txt'))
