=== nigiri/po/wscript ===
#!/usr/bin/env python

def configure (conf):
	conf.check_tool('intltool')

def build (bld):
	bld.new_task_gen(
		features = 'intltool_po',
		appname = 'nigiri'
	)
