=== debian/control ===
Source: sushi
Section: net
Priority: extra
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), python, libdbus-1-dev, intltool,
 libglib2.0-dev (>= 2.16), libnm-glib-dev (>= 0.7.0), libdbus-glib-1-dev,
 libnice-dev, libgupnp-igd-1.0-dev, libgnutls-dev
Build-Depends-Indep: python-support
Standards-Version: 3.9.2
Homepage: http://sushi.ikkoku.de/

Package: maki
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: D-Bus-based IRC suite (daemon)
 The sushi IRC suite consists of a central daemon and several clients, which
 communicate via DBus. DBus methods and signals are provided by the daemon to
 abstract the IRC protocol. Clients can use these methods and signals to
 easily interact with IRC.
 .
 maki provides DBus methods and signals to abstract the IRC protocol. Clients
 like tekka and nigiri can use these methods and signals to easily interact
 with IRC.

Package: nigiri
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, maki, python-urwid (>= 0.9.8),
 python-gobject, python-dbus, python-xdg
Recommends: sushi-plugins (= ${binary:Version})
Description: D-Bus-based IRC suite (terminal client)
 The sushi IRC suite consists of a central daemon and several clients, which
 communicate via DBus. DBus methods and signals are provided by the daemon to
 abstract the IRC protocol. Clients can use these methods and signals to
 easily interact with IRC.
 .
 nigiri is a terminal client for maki and is written in Python. It uses Urwid
 to realize the interface and supports plugins.

Package: tekka
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, maki, python-dbus,
 python-gobject, python-gtk2, python-xdg
Recommends: sushi-plugins (= ${binary:Version})
Description: D-Bus-based IRC suite (graphical client)
 The sushi IRC suite consists of a central daemon and several clients, which
 communicate via DBus. DBus methods and signals are provided by the daemon to
 abstract the IRC protocol. Clients can use these methods and signals to
 easily interact with IRC.
 .
 tekka is a GTK-driven client for maki and is written in Python. It uses Glade
 to describe the interface, supports plugins and tries to stick to the GNOME
 Human Interface (HIG) guidelines.

Package: sushi-plugins
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: D-Bus-based IRC suite (clients plugins)
 The sushi IRC suite consists of a central daemon and several clients, which
 communicate via DBus. DBus methods and signals are provided by the daemon to
 abstract the IRC protocol. Clients can use these methods and signals to
 easily interact with IRC.
 .
 plugins provides plugins for tekka and nigiri. All plugins are written in
 Python and use the sushi client plugin API.
