=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_clean:
	cd maki && ./waf distclean
	cd nigiri && ./waf distclean
	cd tekka && ./waf distclean
	cd plugins && ./waf distclean

	rm -rf maki/.waf-* nigiri/.waf-* tekka/.waf-* plugins/.waf-*

override_dh_auto_configure:
	cd maki && ./waf configure --prefix /usr
	cd nigiri && ./waf configure --prefix /usr
	cd tekka && ./waf configure --prefix /usr
	cd plugins && ./waf configure --prefix /usr

override_dh_auto_build:
	cd maki && ./waf build
	cd nigiri && ./waf build
	cd tekka && ./waf build
	cd plugins && ./waf build

override_dh_auto_install:
	cd maki && ./waf install --destdir $(CURDIR)/debian/maki
	cd nigiri && ./waf install --destdir $(CURDIR)/debian/nigiri
	cd tekka && ./waf install --destdir $(CURDIR)/debian/tekka
	cd plugins && ./waf install --destdir $(CURDIR)/debian/sushi-plugins

	# Fix package-contains-empty-directory lintian info:
	rmdir $(CURDIR)/debian/maki/usr/share/doc/maki/irc
