=== debian/changelog ===
sushi (1.4.0+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #655964, #638661, #640420, #652783).
  * Remove 01_deprecated-gnutls-2.12.diff patch, not needed anymore.
  * Update debian/copyright file.
  * Fix source-contains-waf-binary lintian error (Closes: #654507).
  * Update debian/README.source file.
  * debian/rules: remove generated waflib/*.pyc in override_dh_auto_clean
    target.
  * debian/rules: remove package-contains-empty-directory lintian info
    workaround, not needed anymore.
  * debian/control: adjust Build-Depends field according to upstream.
  * Rename sushi-plugins package to chirashi and add sushi meta-package and
    maki-plugins package. Thanks to Michael Kuhn
    for this.
  * debian/control: update Homepage field.
  * Bump Standards-Version to 3.9.3.
 
  [ Luca Falavigna ]
  * Enable DM upload.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 09 Jun 2012 15:38:26 +0200
