=== debian/control ===
--- 
+++ 
@@ -3,15 +3,27 @@
 Priority: extra
 Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), python, libdbus-1-dev, intltool,
- libglib2.0-dev (>= 2.16), libnm-glib-dev (>= 0.7.0), libdbus-glib-1-dev,
- libnice-dev, libgupnp-igd-1.0-dev, libgnutls-dev
+ libglib2.0-dev (>= 2.26), libnice-dev, libminiupnpc-dev (>= 1.5)
 Build-Depends-Indep: python-support
-Standards-Version: 3.9.2
-Homepage: http://sushi.ikkoku.de/
+DM-Upload-Allowed: yes
+Standards-Version: 3.9.3
+Homepage: http://redmine.ikkoku.de/projects/sushi/wiki
+
+Package: sushi
+Architecture: all
+Depends: maki, tekka | nigiri, ${misc:Depends}
+Description: D-Bus-based IRC suite (suite)
+ The sushi IRC suite consists of a central daemon and several clients, which
+ communicate via DBus. DBus methods and signals are provided by the daemon to
+ abstract the IRC protocol. Clients can use these methods and signals to easily
+ interact with IRC.
+ .
+ This virtual package provides the full suite.
 
 Package: maki
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: maki-plugins
 Description: D-Bus-based IRC suite (daemon)
  The sushi IRC suite consists of a central daemon and several clients, which
  communicate via DBus. DBus methods and signals are provided by the daemon to
@@ -21,6 +33,17 @@
  maki provides DBus methods and signals to abstract the IRC protocol. Clients
  like tekka and nigiri can use these methods and signals to easily interact
  with IRC.
+
+Package: maki-plugins
+Architecture: any
+Depends: maki (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: D-Bus-based IRC suite (daemon plugins)
+ The sushi IRC suite consists of a central daemon and several clients, which
+ communicate via DBus. DBus methods and signals are provided by the daemon to
+ abstract the IRC protocol. Clients can use these methods and signals to easily
+ interact with IRC.
+ .
+ This package contains plugins for maki.
 
 Package: nigiri
 Architecture: all
@@ -51,14 +74,23 @@
  to describe the interface, supports plugins and tries to stick to the GNOME
  Human Interface (HIG) guidelines.
 
-Package: sushi-plugins
+Package: chirashi
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
+Replaces: sushi-plugins (<< 1.4.0)
+Breaks: sushi-plugins (<< 1.4.0)
 Description: D-Bus-based IRC suite (clients plugins)
  The sushi IRC suite consists of a central daemon and several clients, which
  communicate via DBus. DBus methods and signals are provided by the daemon to
  abstract the IRC protocol. Clients can use these methods and signals to
  easily interact with IRC.
  .
- plugins provides plugins for tekka and nigiri. All plugins are written in
+ chirashi provides plugins for tekka and nigiri. All plugins are written in
  Python and use the sushi client plugin API.
+
+Package: sushi-plugins
+Depends: chirashi, ${misc:Depends}
+Architecture: all
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
