=== debian/rules ===
#!/usr/bin/make -f

WAF=env WAFDIR=$(CURDIR) ./waf

%:
	dh $@ 

override_dh_auto_clean:
	cd maki && $(WAF) distclean
	cd nigiri && $(WAF) distclean
	cd tekka && $(WAF) distclean
	cd chirashi && $(WAF) distclean

	rm -rf maki/.waf-* nigiri/.waf-* tekka/.waf-* chirashi/.waf-*
	find waflib -name "*.pyc" -delete

override_dh_auto_configure:
	cd maki && $(WAF) configure --prefix /usr
	cd nigiri && $(WAF) configure --prefix /usr
	cd tekka && $(WAF) configure --prefix /usr
	cd chirashi && $(WAF) configure --prefix /usr

override_dh_auto_build:
	cd maki && $(WAF) build
	cd nigiri && $(WAF) build
	cd tekka && $(WAF) build
	cd chirashi && $(WAF) build

override_dh_auto_install:
	cd maki && $(WAF) install --destdir $(CURDIR)/debian/maki
	cd nigiri && $(WAF) install --destdir $(CURDIR)/debian/nigiri
	cd tekka && $(WAF) install --destdir $(CURDIR)/debian/tekka
	cd chirashi && $(WAF) install --destdir $(CURDIR)/debian/chirashi

	# Move maki plugins files in maki-plugins package
	mv debian/maki/usr/lib/maki/plugins/* debian/maki-plugins/usr/lib/maki/plugins/
	find $(CURDIR)/debian/maki/usr -type d -empty -delete
