=== maki/wscript ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/env python
+# coding: utf-8
 
 from waflib import Utils
 
@@ -7,6 +8,8 @@
 
 top = '.'
 out = 'build'
+
+SUSHI_GLIB_VERSION = '2.40'
 
 def options (ctx):
 	ctx.load('compiler_c')
@@ -30,35 +33,35 @@
 	ctx.check_cfg(
 		package = 'gio-2.0',
 		args = ['--cflags', '--libs'],
-		atleast_version = '2.26',
+		atleast_version = SUSHI_GLIB_VERSION,
 		uselib_store = 'GIO'
 	)
 
 	ctx.check_cfg(
 		package = 'glib-2.0',
 		args = ['--cflags', '--libs'],
-		atleast_version = '2.26',
+		atleast_version = SUSHI_GLIB_VERSION,
 		uselib_store = 'GLIB'
 	)
 
 	ctx.check_cfg(
 		package = 'gmodule-2.0',
 		args = ['--cflags', '--libs'],
-		atleast_version = '2.26',
+		atleast_version = SUSHI_GLIB_VERSION,
 		uselib_store = 'GMODULE'
 	)
 
 	ctx.check_cfg(
 		package = 'gobject-2.0',
 		args = ['--cflags', '--libs'],
-		atleast_version = '2.26',
+		atleast_version = SUSHI_GLIB_VERSION,
 		uselib_store = 'GOBJECT'
 	)
 
 	ctx.check_cfg(
 		package = 'gthread-2.0',
 		args = ['--cflags', '--libs'],
-		atleast_version = '2.26',
+		atleast_version = SUSHI_GLIB_VERSION,
 		uselib_store = 'GTHREAD'
 	)
 
@@ -70,6 +73,7 @@
 
 	# FIXME https://bugzilla.gnome.org/show_bug.cgi?id=667494
 
+	have_gupnp = False
 	#ctx.check_cfg(
 	#	package = 'gupnp-1.0',
 	#	args = ['--cflags', '--libs'],
@@ -78,6 +82,7 @@
 	#	mandatory = False
 	#)
 
+	have_gupnp_igd = False
 	#ctx.check_cfg(
 	#	package = 'gupnp-igd-1.0',
 	#	args = ['--cflags', '--libs'],
@@ -86,6 +91,7 @@
 	#	mandatory = False
 	#)
 
+	have_miniupnpc = \
 	ctx.check_cc(
 		header_name = 'miniupnpc.h',
 		lib = 'miniupnpc',
@@ -96,7 +102,7 @@
 		mandatory = False
 	)
 
-	if ctx.env.HAVE_MINIUPNPC:
+	if have_miniupnpc:
 		ctx.check_cc(
 			fragment = '''
 			#include <stdlib.h>
@@ -120,27 +126,22 @@
 			mandatory = False
 		)
 
-	ctx.check_cfg(
-		package = 'dbus-1',
-		variables = ['session_bus_services_dir'],
-		uselib_store = 'DBUS',
-		mandatory = False
-	)
-
 	if ctx.options.debug:
 		ctx.env.CFLAGS += ['-pedantic', '-Wall', '-Wextra']
 		ctx.env.CFLAGS += ['-Wno-missing-field-initializers', '-Wno-unused-parameter', '-Wold-style-definition', '-Wdeclaration-after-statement', '-Wmissing-declarations', '-Wmissing-prototypes', '-Wredundant-decls', '-Wmissing-noreturn', '-Wshadow', '-Wpointer-arith', '-Wcast-align', '-Wwrite-strings', '-Winline', '-Wformat-nonliteral', '-Wformat-security', '-Wswitch-enum', '-Wswitch-default', '-Winit-self', '-Wmissing-include-dirs', '-Wundef', '-Waggregate-return', '-Wmissing-format-attribute', '-Wnested-externs', '-Wstrict-prototypes']
 		ctx.env.CFLAGS += ['-ggdb']
 
-		# FIXME
-		ctx.env.CFLAGS.remove('-Wmissing-include-dirs')
-
-		ctx.define('G_DISABLE_DEPRECATED', 1)
+		ctx.define('GLIB_VERSION_MIN_REQUIRED', 'GLIB_VERSION_' + SUSHI_GLIB_VERSION.replace('.', '_'), quote = False)
 	else:
 		ctx.env.CFLAGS += ['-O2']
 
+	ctx.env.SUSHI_BUILD_UPNP = (have_gupnp or have_gupnp_igd or have_miniupnpc)
+
+	ctx.define('LOCALEDIR', Utils.subst_vars('${LOCALEDIR}', ctx.env))
+
 	ctx.define('SUSHI_VERSION', VERSION)
 
+	# FIXME remove=false
 	ctx.write_config_header('source/config.h', remove = False)
 
 def build (ctx):
@@ -151,7 +152,7 @@
 		use = ['GIO', 'GLIB', 'GMODULE', 'GOBJECT', 'GTHREAD', 'NICE'],
 		includes = ['source'],
 		defines = ['MAKI_PLUGIN_DIRECTORY="%s"' % (Utils.subst_vars('${LIBDIR}/maki/plugins', ctx.env)),
-		           'MAKI_SHARE_DIRECTORY="%s"' % (Utils.subst_vars('${DATAROOTDIR}/maki', ctx.env))]
+		           'MAKI_SHARE_DIRECTORY="%s"' % (Utils.subst_vars('${DATADIR}/maki', ctx.env))]
 	)
 
 	ctx.program(
@@ -161,11 +162,11 @@
 	)
 
 	# Plugins
-	for plugin in ('network', 'sleep', 'upnp'):
+	for plugin in ('sleep', 'upnp'):
 		uselibs = ['GIO', 'GLIB', 'GMODULE', 'GOBJECT', 'GTHREAD']
 
 		if plugin == 'upnp':
-			if not ctx.env.HAVE_GUPNP and not ctx.env.HAVE_GUPNP_IGD and not ctx.env.HAVE_MINIUPNPC:
+			if not ctx.env.SUSHI_BUILD_UPNP:
 				continue
 
 			uselibs += ['GUPNP', 'GUPNP_IGD', 'MINIUPNPC']
@@ -192,17 +193,14 @@
 	)
 
 	# Data
-	ctx.install_files('${DATAROOTDIR}/maki', 'data/dbus.xml')
-
-	dbus_dir = ctx.env.DBUS_session_bus_services_dir
-
-	if dbus_dir and dbus_dir.startswith(ctx.env.PREFIX):
-		ctx(
-			features = 'subst',
-			source = 'data/de.ikkoku.sushi.service.in',
-			target = 'data/de.ikkoku.sushi.service',
-			install_path = '${DBUS_session_bus_services_dir}'
-		)
+	ctx.install_files('${DATADIR}/maki', 'data/dbus.xml')
+
+	ctx(
+		features = 'subst',
+		source = 'data/de.ikkoku.sushi.service.in',
+		target = 'data/de.ikkoku.sushi.service',
+		install_path = '${DATADIR}/dbus-1/services'
+	)
 
 	for man in ('maki.1', 'maki-remote.1'):
 		ctx(
