=== tekka/po/wscript ===
#!/usr/bin/env python

def configure (ctx):
	ctx.load('intltool')

def build (ctx):
	ctx(
		features = 'intltool_po',
		appname = 'tekka'
	)
