=== debian/changelog ===
sushi (1.4.0+git20160822+dfsg-4) unstable; urgency=medium

  * Revert following change introduced in 1.4.0+git20160822+dfsg-3, it
    it not suitable during the freeze:
    Fix package-uses-deprecated-debhelper-compat-version lintian warning
    switching to debhelper 9.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 20 Mar 2017 23:20:23 +0100

sushi (1.4.0+git20160822+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with bash as /bin/sh (Closes: #857772)
    Thanks to Chris Lamb for fixing this.
  * Fix package-uses-deprecated-debhelper-compat-version lintian warning
    switching to debhelper 9.
  * Fix empty-binary-package lintian warning
    Thanks to Adrian Vondendriesch for fixing this.
  * debian/control: both tekka and nigiri are now sushi deps (Closes: #836195)
  * Fix spelling-error-in-description-synopsis lintian warning.
  * Fix nigiri crashes:
    - debian/patches/nigiri-00-fix-gobject-import.diff: fix GObject ImportError
    - debian/patches/nigiri-01-fix-urwid-indexerror.diff: fix urwid
      'IndexError: No widget at position 1' error
    - debian/patches/nigiri-02-none-has-no-auto_scroll.diff: fix AttributeError
  * debian/control: remove DM-Upload-Allowed field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 18 Mar 2017 16:08:30 +0100

sushi (1.4.0+git20160822+dfsg-1) unstable; urgency=medium

  * New upstream git tarball (Closes: #811889)
    - debian/control: require libglib2.0-dev >= 2.40 in Build-Depends field
  * debian/rules: provide get-orig-source target.
  * debian/rules: fix build with dpkg-buildpackage -A (Closes: #806659)
  * debian/rules: pass LDFLAGS to waf, fixes hardening-no-relro lintian warn.
  * debian/rules: fix hardening-no-bindnow lintian info.
  * Fix a crash on maki start:
    - debian/patches/maki-revert-3bb2b23.diff: revert upstream maki
      commit 3bb2b23 and re-enable gupnp support as gupnp deadlock was fixed
      time ago, see: https://bugzilla.gnome.org/show_bug.cgi?id=667494
    - debian/control: add libgupnp-igd-1.0-dev to Build-Depends field
  * debian/control: update Homepage field.
  * debian/copyright: update file.
  * Bump Standards-Version to 3.9.8.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 22 Aug 2016 21:36:52 +0200

sushi (1.4.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh-python (Closes: #786204)

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 03 Sep 2015 22:43:23 +0500
