=== debian/control ===
--- 
+++ 
@@ -2,23 +2,22 @@
 Section: net
 Priority: extra
 Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), python, libdbus-1-dev, intltool,
- libglib2.0-dev (>= 2.26), libnice-dev, libminiupnpc-dev (>= 1.5)
-Build-Depends-Indep: python-support
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
-Homepage: http://redmine.ikkoku.de/projects/sushi/wiki
+Build-Depends: debhelper (>= 7.0.50~), python, dh-python, libdbus-1-dev, intltool,
+ libglib2.0-dev (>= 2.40), libnice-dev, libminiupnpc-dev (>= 1.5),
+ libgupnp-igd-1.0-dev
+Standards-Version: 3.9.8
+Homepage: https://github.com/sushi-irc
 
 Package: sushi
 Architecture: all
-Depends: maki, tekka | nigiri, ${misc:Depends}
-Description: D-Bus-based IRC suite (suite)
+Depends: maki, tekka, nigiri, ${misc:Depends}
+Description: D-Bus-based IRC suite (metapackage)
  The sushi IRC suite consists of a central daemon and several clients, which
  communicate via DBus. DBus methods and signals are provided by the daemon to
  abstract the IRC protocol. Clients can use these methods and signals to easily
  interact with IRC.
  .
- This virtual package provides the full suite.
+ This metapackage provides the full suite.
 
 Package: maki
 Architecture: any
