=== debian/rules ===
#!/usr/bin/make -f

TARBALL_VERSION = 1.4.0+git20160822

GITCOMMIT_TEKKA = 12fb418580ba474cb9639ea394c1a5651c934bac
GITCOMMIT_MAKI = 1f8340a4e3745fd233de9dd1a4a82f78d4cf6088
GITCOMMIT_NIGIRI = 9e1137a80f350ea05ae76df93061d3dc188e1ba7
GITCOMMIT_CHIRASHI = 4c3c0327c8a6bd9501faeca306d618254e7add11

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
WAF=env WAFDIR=$(CURDIR) ./waf
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
DEBIAN_DIR = $(abspath $(dir $(MAKEFILE_LIST)))

%:
	dh $@ --with python2

override_dh_auto_clean:
	cd maki && $(WAF) distclean
	cd nigiri && $(WAF) distclean
	cd tekka && $(WAF) distclean
	cd chirashi && $(WAF) distclean

	rm -rf maki/.waf-* nigiri/.waf-* tekka/.waf-* chirashi/.waf-*
	rm -rf maki/.lock-waf-* nigiri/.lock-waf-* tekka/.lock-waf-* chirashi/.lock-waf-*
	find waflib -name "*.pyc" -delete

override_dh_auto_configure:
	cd maki && env LINKFLAGS='$(LDFLAGS)' $(WAF) configure --prefix /usr
	cd nigiri && env LINKFLAGS='$(LDFLAGS)' $(WAF) configure --prefix /usr
	cd tekka && env LINKFLAGS='$(LDFLAGS)' $(WAF) configure --prefix /usr
	cd chirashi && env LINKFLAGS='$(LDFLAGS)' $(WAF) configure --prefix /usr

override_dh_auto_build:
	cd maki && $(WAF) build
	cd nigiri && $(WAF) build
	cd tekka && $(WAF) build
	cd chirashi && $(WAF) build

override_dh_auto_install:
	cd maki && $(WAF) install --destdir $(CURDIR)/debian/maki
	cd nigiri && $(WAF) install --destdir $(CURDIR)/debian/nigiri
	cd tekka && $(WAF) install --destdir $(CURDIR)/debian/tekka
	cd chirashi && $(WAF) install --destdir $(CURDIR)/debian/chirashi

	# Move maki plugins files in maki-plugins package
	-mv debian/maki/usr/lib/maki/plugins/* debian/maki-plugins/usr/lib/maki/plugins/
	find $(CURDIR)/debian/maki/usr -type d -empty -delete

get-orig-source:
	# sudo apt-get install git
	mkdir sushi-$(TARBALL_VERSION)+dfsg

	cd sushi-$(TARBALL_VERSION)+dfsg \
	 && sh $(DEBIAN_DIR)/_get-orig-source_git-clone.sh tekka $(GITCOMMIT_TEKKA)

	cd sushi-$(TARBALL_VERSION)+dfsg \
	 && sh $(DEBIAN_DIR)/_get-orig-source_git-clone.sh maki $(GITCOMMIT_MAKI)

	cd sushi-$(TARBALL_VERSION)+dfsg \
	 && sh $(DEBIAN_DIR)/_get-orig-source_git-clone.sh nigiri $(GITCOMMIT_NIGIRI)

	cd sushi-$(TARBALL_VERSION)+dfsg \
	 && sh $(DEBIAN_DIR)/_get-orig-source_git-clone.sh chirashi $(GITCOMMIT_CHIRASHI)

	@echo "Unpacking waf \"binary\"..."
	cd sushi-$(TARBALL_VERSION)+dfsg/maki; cp ./waf ../ ; cd ../ ; python waf --help > /dev/null
	mv sushi-$(TARBALL_VERSION)+dfsg/.waf-*/* sushi-$(TARBALL_VERSION)+dfsg
	sed -i '/^#==>$$/,$$d' sushi-$(TARBALL_VERSION)+dfsg/waf
	sed -i '/^#==>$$/,$$d' sushi-$(TARBALL_VERSION)+dfsg/*/waf
	rmdir sushi-$(TARBALL_VERSION)+dfsg/.waf-*
	find sushi-$(TARBALL_VERSION)+dfsg/waflib -name "*.pyc" -delete

	@echo "Removing files licensed under a non-free license..."
	rm -fv sushi-$(TARBALL_VERSION)+dfsg/maki/documentation/irc/*

	@echo "# Packing..."
	find -L "sushi-$(TARBALL_VERSION)+dfsg" -xdev -type f -print | LC_ALL=C sort \
	 | XZ_OPT="-6v" tar -caf "sushi_$(TARBALL_VERSION)+dfsg.orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	 && rm -r "sushi-$(TARBALL_VERSION)+dfsg"
